RegisteredTriggerManagerEJBImpl (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.events.server.session.RegisteredTriggerManagerEJBImpl class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.events.server.session
Class RegisteredTriggerManagerEJBImpl

    java.lang.Object
      org.hyperic.hq.events.server.session.RegisteredTriggerManagerEJBImpl

All Implemented Interfaces:
  java.io.Serializable, javax.ejb.EnterpriseBean, javax.ejb.SessionBean

    public class RegisteredTriggerManagerEJBImpl

extends java.lang.Object
implements javax.ejb.SessionBean

The trigger manager.

See Also:
  Serialized Form

Constructor Summary
`RegisteredTriggerManagerEJBImpl()`

Method Summary
`void` | `addTriggersCreatedTxListener(java.util.List list)` Add a TransactionListener to register triggers post commit.
`RegisteredTrigger` | `createTrigger(RegisteredTriggerValue val)` Create a new trigger
`void` | `createTriggers(AuthzSubject subject, AlertDefinitionValue alertdef)` Create new triggers
`void` | `createTriggers(AuthzSubject subject, AlertDefinitionValue alertdef, boolean addTxListener)` Create new triggers
`void` | `deleteTriggers(AlertDefinition alertDef)` Completely deletes all triggers when an alert definition is deleted
`void` | `deleteTriggers(java.lang.Integer adId)` Delete all triggers for an alert definition.
`void` | `ejbActivate()`
`void` | `ejbCreate()`
`void` | `ejbPassivate()`
`void` | `ejbRemove()`
`RegisteredTrigger` | `findById(java.lang.Integer id)` Finds a trigger by its ID, assuming existence
`static org.hyperic.hq.events.shared.RegisteredTriggerManagerLocal` | `getOne()`
`void` | `handleTriggerCreatedEvents(java.util.Collection events)` Processes `TriggerCreatedEvent`s that indicate that triggers should be created
`void` | `initializeTriggers()` Initialize the in-memory triggers and update the RegisteredTriggers repository
`void` | `setAlertDefinitionTriggersEnabled(java.lang.Integer alertDefId, boolean enabled)` Enable or disable triggers associated with an alert definition
`void` | `setAlertDefinitionTriggersEnabled(java.util.List alertDefIds, boolean enabled)` Enable or disable triggers associated with an alert definition
`void` | `setSessionContext(javax.ejb.SessionContext ctx)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RegisteredTriggerManagerEJBImpl

    public RegisteredTriggerManagerEJBImpl()

Method Detail

### handleTriggerCreatedEvents

    public void handleTriggerCreatedEvents(java.util.Collection events)

  Processes `TriggerCreatedEvent`s that indicate that triggers should be created

### initializeTriggers

    public void initializeTriggers()

  Initialize the in-memory triggers and update the RegisteredTriggers repository

### setAlertDefinitionTriggersEnabled

    public void setAlertDefinitionTriggersEnabled(java.lang.Integer alertDefId,
                                                  boolean enabled)

  Enable or disable triggers associated with an alert definition

### setAlertDefinitionTriggersEnabled

    public void setAlertDefinitionTriggersEnabled(java.util.List alertDefIds,
                                                  boolean enabled)

  Enable or disable triggers associated with an alert definition

### findById

    public RegisteredTrigger findById(java.lang.Integer id)

  Finds a trigger by its ID, assuming existence

  Parameters:
    `id` - The trigger ID
  Returns:
    The trigger with the specified ID (exception will occur if trigger does not exist)

### createTrigger

    public RegisteredTrigger createTrigger(RegisteredTriggerValue val)

  Create a new trigger

  Returns:
    a RegisteredTriggerValue

### createTriggers

    public void createTriggers(AuthzSubject subject,
                               AlertDefinitionValue alertdef)
                        throws TriggerCreateException,
                               InvalidOptionException,
                               InvalidOptionValueException

  Create new triggers

  Throws:
    `TriggerCreateException`
    `InvalidOptionException`
    `InvalidOptionValueException`

### createTriggers

    public void createTriggers(AuthzSubject subject,
                               AlertDefinitionValue alertdef,
                               boolean addTxListener)
                        throws TriggerCreateException,
                               InvalidOptionException,
                               InvalidOptionValueException

  Create new triggers

  Parameters:
    `subject` - The user creating the trigger
    `alertdef` - The alert definition value object
    `addTxListener` - Indicates whether a TriggersCreatedListener should be added. The default value is true. HHQ-3423: To improve performance when creating resource type alert definitions, this should be set to false. If false, it is the caller's responsibility to call addTriggersCreatedListener() to ensure triggers are registered.
  Throws:
    `TriggerCreateException`
    `InvalidOptionException`
    `InvalidOptionValueException`

### addTriggersCreatedTxListener

    public void addTriggersCreatedTxListener(java.util.List list)

  Add a TransactionListener to register triggers post commit.

  Parameters:
    `list` - A list of either Zevent or RegisteredTrigger objects

### deleteTriggers

    public void deleteTriggers(java.lang.Integer adId)

  Delete all triggers for an alert definition.

  Parameters:
    `adId` - The alert definition id

### deleteTriggers

    public void deleteTriggers(AlertDefinition alertDef)

  Completely deletes all triggers when an alert definition is deleted

  Parameters:
    `alertDef` - The alert definition

### getOne

    public static org.hyperic.hq.events.shared.RegisteredTriggerManagerLocal getOne()

### ejbCreate

    public void ejbCreate()

### ejbRemove

    public void ejbRemove()

  Specified by:
    `ejbRemove` in interface `javax.ejb.SessionBean`

### ejbActivate

    public void ejbActivate()

  Specified by:
    `ejbActivate` in interface `javax.ejb.SessionBean`

### ejbPassivate

    public void ejbPassivate()

  Specified by:
    `ejbPassivate` in interface `javax.ejb.SessionBean`

### setSessionContext

    public void setSessionContext(javax.ejb.SessionContext ctx)

  Specified by:
    `setSessionContext` in interface `javax.ejb.SessionBean`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.